diff --git a/oflog/libsrc/Makefile.dep b/oflog/libsrc/Makefile.dep
index a7a7b1f..6562f92 100644
--- a/oflog/libsrc/Makefile.dep
+++ b/oflog/libsrc/Makefile.dep
@@ -333,14 +503,69 @@ lloguser.o: lloguser.cc ../include/dcmtk/oflog/streams.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/helpers/loglog.h ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/thread/syncprim.h
+lockfile.o: lockfile.cc ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/config/windowsh.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/helpers/strhelp.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/helpers/loglog.h ../include/dcmtk/oflog/streams.h
+log4judp.o: log4judp.cc ../include/dcmtk/oflog/log4judp.h \
+ ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../include/dcmtk/oflog/helpers/threads.h
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/helpers/socket.h \
+ ../include/dcmtk/oflog/helpers/sockbuff.h \
+ ../include/dcmtk/oflog/logmacro.h ../include/dcmtk/oflog/logger.h \
+ ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/spi/logfact.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/tracelog.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
 logevent.o: logevent.cc ../include/dcmtk/oflog/spi/logevent.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -350,17 +575,24 @@ logevent.o: logevent.cc ../include/dcmtk/oflog/spi/logevent.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
- ../../ofstd/include/dcmtk/ofstd/ofstream.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
  ../include/dcmtk/oflog/helpers/timehelp.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h
 logger.o: logger.cc ../include/dcmtk/oflog/logger.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -370,29 +602,27 @@ logger.o: logger.cc ../include/dcmtk/oflog/logger.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
- ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/spi/apndatch.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/hierarchy.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/spi/logfact.h \
- ../include/dcmtk/oflog/logmacro.h ../include/dcmtk/oflog/hierarchy.h \
  ../include/dcmtk/oflog/helpers/loglog.h \
  ../include/dcmtk/oflog/spi/logimpl.h \
  ../include/dcmtk/oflog/helpers/apndimpl.h
-logimpl.o: logimpl.cc ../include/dcmtk/oflog/spi/logimpl.h \
+logimpl.o: logimpl.cc ../include/dcmtk/oflog/internal/internal.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
@@ -401,29 +631,33 @@ logimpl.o: logimpl.cc ../include/dcmtk/oflog/spi/logimpl.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/apndimpl.h \
- ../include/dcmtk/oflog/layout.h ../include/dcmtk/oflog/loglevel.h \
- ../include/dcmtk/oflog/streams.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/ndc.h ../include/dcmtk/oflog/mdc.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/loglevel.h \
  ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../include/dcmtk/oflog/thread/threads.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/spi/logimpl.h \
+ ../include/dcmtk/oflog/helpers/apndimpl.h \
  ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/spi/logfact.h \
- ../include/dcmtk/oflog/hierarchy.h ../include/dcmtk/oflog/logger.h \
- ../include/dcmtk/oflog/logmacro.h \
- ../include/dcmtk/oflog/helpers/loglog.h \
- ../include/dcmtk/oflog/spi/rootlog.h
+ ../include/dcmtk/oflog/layout.h ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/hierarchy.h \
+ ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/spi/rootlog.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
 loglevel.o: loglevel.cc ../include/dcmtk/oflog/loglevel.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -433,15 +667,25 @@ loglevel.o: loglevel.cc ../include/dcmtk/oflog/loglevel.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
- ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/loglog.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
  ../include/dcmtk/oflog/helpers/strhelp.h \
- ../../ofstd/include/dcmtk/ofstd/oflist.h
+ ../include/dcmtk/oflog/internal/internal.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h
 loglog.o: loglog.cc ../include/dcmtk/oflog/streams.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -450,34 +694,82 @@ loglog.o: loglog.cc ../include/dcmtk/oflog/streams.h \
  ../../ofstd/include/dcmtk/ofstd/ofexport.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h ../include/dcmtk/oflog/tchar.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/helpers/loglog.h ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/thread/syncpub.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/internal/env.h ../include/dcmtk/oflog/consap.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h
+logmacro.o: logmacro.cc ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/ndc.h ../include/dcmtk/oflog/mdc.h \
+ ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../../ofstd/include/dcmtk/ofstd/ofconsol.h \
- ../../ofstd/include/dcmtk/ofstd/ofthread.h
-ndc.o: ndc.cc ../include/dcmtk/oflog/config.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/logmacro.h ../include/dcmtk/oflog/logger.h \
+ ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
+ ../include/dcmtk/oflog/layout.h ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/tracelog.h
+mdc.o: mdc.cc ../include/dcmtk/oflog/mdc.h \
+ ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
  ../../ofstd/include/dcmtk/ofstd/ofcast.h \
  ../../ofstd/include/dcmtk/ofstd/ofexport.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
- ../include/dcmtk/oflog/helpers/threadcf.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../include/dcmtk/oflog/tchar.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../include/dcmtk/oflog/helpers/loglog.h
-ntelogap.o: ntelogap.cc ../include/dcmtk/oflog/ntelogap.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h
+ndc.o: ndc.cc ../include/dcmtk/oflog/ndc.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
@@ -486,24 +778,33 @@ ntelogap.o: ntelogap.cc ../include/dcmtk/oflog/ntelogap.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
+ ../include/dcmtk/oflog/tchar.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/mdc.h \
  ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/loglevel.h \
  ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../include/dcmtk/oflog/thread/threads.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h \
- ../include/dcmtk/oflog/helpers/loglog.h
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h
+ntelogap.o: ntelogap.cc ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h
 nullap.o: nullap.cc ../include/dcmtk/oflog/nullap.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -513,23 +814,20 @@ nullap.o: nullap.cc ../include/dcmtk/oflog/nullap.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
- ../../ofstd/include/dcmtk/ofstd/ofmap.h \
- ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
 objreg.o: objreg.cc ../include/dcmtk/oflog/spi/objreg.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -543,10 +841,13 @@ objreg.o: objreg.cc ../include/dcmtk/oflog/spi/objreg.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/thread/syncprim.h \
+ ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../../ofstd/include/dcmtk/ofstd/ofmap.h
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/thread/syncpub.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/helpers/pointer.h
 oflog.o: oflog.cc ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofstd.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
@@ -563,30 +864,36 @@ oflog.o: oflog.cc ../../config/include/dcmtk/config/osconfig.h \
  ../include/dcmtk/oflog/logger.h ../include/dcmtk/oflog/config.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
- ../include/dcmtk/oflog/tstring.h ../include/dcmtk/oflog/spi/apndatch.h \
- ../include/dcmtk/oflog/appender.h ../include/dcmtk/oflog/layout.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
- ../../ofstd/include/dcmtk/ofstd/ofmap.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/tstring.h ../include/dcmtk/oflog/tchar.h \
+ ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h ../include/dcmtk/oflog/layout.h \
+ ../include/dcmtk/oflog/streams.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
- ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
- ../include/dcmtk/oflog/spi/filter.h ../include/dcmtk/oflog/spi/logfact.h \
- ../include/dcmtk/oflog/logmacro.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h ../include/dcmtk/oflog/logmacro.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/tracelog.h \
  ../../ofstd/include/dcmtk/ofstd/ofconapp.h \
  ../../ofstd/include/dcmtk/ofstd/ofcmdln.h \
  ../../ofstd/include/dcmtk/ofstd/ofconsol.h \
  ../../ofstd/include/dcmtk/ofstd/ofthread.h \
  ../../ofstd/include/dcmtk/ofstd/offile.h \
- ../include/dcmtk/oflog/configrt.h ../include/dcmtk/oflog/hierarchy.h \
- ../include/dcmtk/oflog/consap.h ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/configrt.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../../ofstd/include/dcmtk/ofstd/ofmap.h ../include/dcmtk/oflog/consap.h \
+ ../include/dcmtk/oflog/helpers/loglog.h \
  ../include/dcmtk/oflog/helpers/socket.h \
  ../include/dcmtk/oflog/helpers/sockbuff.h \
- ../include/dcmtk/oflog/helpers/strhelp.h
+ ../include/dcmtk/oflog/helpers/strhelp.h \
+ ../include/dcmtk/oflog/internal/internal.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/spi/logevent.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h
 patlay.o: patlay.cc ../include/dcmtk/oflog/layout.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -596,25 +903,36 @@ patlay.o: patlay.cc ../include/dcmtk/oflog/layout.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/loglevel.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
- ../../ofstd/include/dcmtk/ofstd/oftypes.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../include/dcmtk/oflog/helpers/lloguser.h \
- ../include/dcmtk/oflog/helpers/property.h \
- ../../ofstd/include/dcmtk/ofstd/ofmap.h \
- ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/helpers/timehelp.h \
- ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
- ../include/dcmtk/oflog/helpers/threads.h \
- ../include/dcmtk/oflog/helpers/pointer.h \
- ../../ofstd/include/dcmtk/ofstd/ofstack.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/logmacro.h ../include/dcmtk/oflog/logger.h \
+ ../include/dcmtk/oflog/spi/apndatch.h ../include/dcmtk/oflog/appender.h \
  ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/spi/filter.h \
+ ../include/dcmtk/oflog/helpers/lockfile.h \
+ ../include/dcmtk/oflog/spi/logfact.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/tracelog.h \
  ../include/dcmtk/oflog/helpers/loglog.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
  ../include/dcmtk/oflog/helpers/strhelp.h \
  ../include/dcmtk/oflog/helpers/socket.h \
- ../include/dcmtk/oflog/helpers/sockbuff.h
+ ../include/dcmtk/oflog/helpers/sockbuff.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/spi/logevent.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/internal/internal.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/internal/env.h
 pointer.o: pointer.cc ../include/dcmtk/oflog/streams.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
@@ -623,15 +941,49 @@ pointer.o: pointer.cc ../include/dcmtk/oflog/streams.h \
  ../../ofstd/include/dcmtk/ofstd/ofexport.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
+ ../include/dcmtk/oflog/helpers/threadcf.h ../include/dcmtk/oflog/tchar.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/thread/threads.h ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/thread/impl/syncimpl.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/impl/syncpthr.h \
+ ../include/dcmtk/oflog/config/windowsh.h
+property.o: property.cc ../include/dcmtk/oflog/config.h \
+ ../../config/include/dcmtk/config/osconfig.h \
+ ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
+ ../../ofstd/include/dcmtk/ofstd/ofcast.h \
+ ../../ofstd/include/dcmtk/ofstd/ofexport.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
+ ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
+ ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tchar.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../include/dcmtk/oflog/fstreams.h \
+ ../include/dcmtk/oflog/helpers/strhelp.h \
  ../include/dcmtk/oflog/tstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
- ../../ofstd/include/dcmtk/ofstd/ofstream.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
+ ../include/dcmtk/oflog/helpers/property.h \
+ ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../../ofstd/include/dcmtk/ofstd/oflist.h \
+ ../include/dcmtk/oflog/internal/internal.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
  ../include/dcmtk/oflog/helpers/pointer.h \
- ../include/dcmtk/oflog/helpers/threads.h
-property.o: property.cc ../include/dcmtk/oflog/helpers/property.h \
- ../include/dcmtk/oflog/config.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/thread/impl/tls.h \
+ ../include/dcmtk/oflog/helpers/snprintf.h \
+ ../include/dcmtk/oflog/internal/env.h \
+ ../include/dcmtk/oflog/helpers/loglog.h
+queue.o: queue.cc ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
  ../../ofstd/include/dcmtk/ofstd/ofdefine.h \
  ../../ofstd/include/dcmtk/ofstd/ofcast.h \
@@ -639,13 +991,24 @@ property.o: property.cc ../include/dcmtk/oflog/helpers/property.h \
  ../../ofstd/include/dcmtk/ofstd/ofstdinc.h \
  ../include/dcmtk/oflog/config/defines.h \
  ../include/dcmtk/oflog/helpers/threadcf.h \
- ../include/dcmtk/oflog/streams.h ../include/dcmtk/oflog/tstring.h \
- ../../ofstd/include/dcmtk/ofstd/ofstring.h \
+ ../include/dcmtk/oflog/helpers/queue.h \
+ ../include/dcmtk/oflog/spi/logevent.h \
+ ../../ofstd/include/dcmtk/ofstd/ofaptr.h \
+ ../include/dcmtk/oflog/loglevel.h \
+ ../../ofstd/include/dcmtk/ofstd/ofvector.h \
  ../../ofstd/include/dcmtk/ofstd/oftypes.h \
+ ../include/dcmtk/oflog/tstring.h \
+ ../../ofstd/include/dcmtk/ofstd/ofstring.h \
  ../../ofstd/include/dcmtk/ofstd/ofstream.h \
- ../../ofstd/include/dcmtk/ofstd/ofmap.h \
+ ../include/dcmtk/oflog/tchar.h ../include/dcmtk/oflog/ndc.h \
+ ../include/dcmtk/oflog/mdc.h ../../ofstd/include/dcmtk/ofstd/ofmap.h \
  ../../ofstd/include/dcmtk/ofstd/oflist.h \
- ../include/dcmtk/oflog/fstreams.h
+ ../include/dcmtk/oflog/helpers/timehelp.h \
+ ../include/dcmtk/oflog/thread/threads.h \
+ ../include/dcmtk/oflog/helpers/pointer.h \
+ ../include/dcmtk/oflog/thread/syncprim.h \
+ ../include/dcmtk/oflog/helpers/loglog.h ../include/dcmtk/oflog/streams.h \
+ ../include/dcmtk/oflog/thread/syncpub.h
 rootlog.o: rootlog.cc ../include/dcmtk/oflog/spi/rootlog.h \
  ../include/dcmtk/oflog/config.h \
  ../../config/include/dcmtk/config/osconfig.h \
